Bug 18742 - Circulation statistics wizard no longer exports the total row
Summary: Circulation statistics wizard no longer exports the total row
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords: Academy
Depends on: 7679
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 14:56 UTC by Nick Clemens
Modified: 2017-10-29 18:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18742 - Circulation statistics wizard no longer exports the total row (951 bytes, patch)
2017-06-07 14:58 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18742 - Circulation statistics wizard no longer exports the total row (1.00 KB, patch)
2017-08-12 18:59 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 18742: Circulation statistics wizard no longer exports the total row (1.07 KB, patch)
2017-09-01 14:10 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18742: (QA followup) Fix indentation (1.04 KB, patch)
2017-09-01 14:10 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-06-07 14:56:23 UTC
It seems like a few lines were lost from issues-stats.pl in bug 7679:

# footer
        print "TOTAL";
        $cols = @$results[0]->{loopfooter};
               print map {$sep.$_->{totalcol}} @$cols;
        print $sep.@$results[0]->{total};
Comment 1 Nick Clemens 2017-06-07 14:58:14 UTC
Created attachment 64081 [details] [review]
Bug 18742 - Circulation statistics wizard no longer exports the total row

To test:
Run the circulation wizard
Export to csv
Note there is no total row
Apply patch
Export to csv
Total row totally there!
Comment 2 Jonathan Druart 2017-07-26 17:46:45 UTC
Regarding bug 7679 this line was wrong, that is why it has been removed.
Comment 3 Christopher Brannon 2017-08-12 18:59:48 UTC
Created attachment 65938 [details] [review]
[SIGNED OFF] Bug 18742 - Circulation statistics wizard no longer exports the total row

To test:
Run the circulation wizard
Export to csv
Note there is no total row
Apply patch
Export to csv
Total row totally there!

Works as expected.

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>


:call TrimWhiteSpace()
Comment 4 Julian Maurice 2017-09-01 14:10:29 UTC
(In reply to Jonathan Druart from comment #2)
> Regarding bug 7679 this line was wrong, that is why it has been removed.

It looks like it has been removed by accident while resolving a merge conflict. The commit that remove those lines doesn't mention this change.
I believe the TOTAL row has been fixed by bug 7679, but even if it's wrong, the same data should appear on screen and in the CSV export (and the TOTAL row is already displayed on screen).
Comment 5 Julian Maurice 2017-09-01 14:10:47 UTC
Created attachment 66746 [details] [review]
Bug 18742: Circulation statistics wizard no longer exports the total row

To test:
- Run the circulation wizard
- Export to csv
- Note there is no total row
- Apply patch
- Export to csv
- Total row totally there!

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Julian Maurice 2017-09-01 14:10:50 UTC
Created attachment 66747 [details] [review]
Bug 18742: (QA followup) Fix indentation

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 7 Jonathan Druart 2017-09-19 14:50:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-10-23 14:43:18 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 9 Katrin Fischer 2017-10-29 18:00:59 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.